Bug 143871 - system() fails randomly in a threaded environment
Summary: system() fails randomly in a threaded environment
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: file   
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Radek Vokal
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 168429
TreeView+ depends on / blocked
 
Reported: 2004-12-30 14:51 UTC by Brian Stein
Modified: 2013-03-01 05:14 UTC (History)
3 users (show)

Fixed In Version: RHBA-2006-0012
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 18:08:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
testcase main program (4.57 KB, text/plain)
2004-12-30 15:43 UTC, Arjan van de Ven
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2006:0012 qe-ready SHIPPED_LIVE file bug fix update 2006-03-06 05:00:00 UTC

Description Arjan van de Ven 2004-12-30 14:51:53 UTC
my rpm test app uses threads to spawn off a lot of it's work.
In such threads I use popen() frequently, and system() occasionally.
On the RHEL3 8way machine, about 30 threads are used.

Symptom: system() returns -1 fairly frequently

Does not seem to reproduce on my fc3 dual machine at home

Comment 1 Arjan van de Ven 2004-12-30 15:43:32 UTC
Created attachment 109187 [details]
testcase main program

testcase program
in addition you need
devserv:~arjanv/testcase.tar.bz2
and potentially 
devserv:~arjanv/file-4.10-2.i386.rpm
(which comes from FC3)

Comment 2 Arjan van de Ven 2004-12-30 15:45:49 UTC
the testcase.tar.bz needs to be untarred in /tmp fwiw

Comment 3 Jakub Jelinek 2004-12-31 16:23:15 UTC
This turned out to be a bug (well, lots of bugs) in libmagic.so's compress.c.


Comment 5 Radek Vokal 2005-01-03 09:56:18 UTC
Fixed in file-4.12-2. 

Comment 14 Red Hat Bugzilla 2006-03-07 18:08:41 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0012.html



Note You need to log in before you can comment on or make changes to this bug.